## spades 4.0.0+really3.15.5+dfsg

=== dnanexus/Makefile ===
default:
	PREFIX=`pwd`/resources/usr src/spades_compile.sh

.PHONY: default
