=== assembler/ext/src/CMakeLists.txt ===
# -*- cmake -*-

if (SPADES_USE_JEMALLOC)
  add_subdirectory(jemalloc EXCLUDE_FROM_ALL)
endif()
if (SPADES_USE_MIMALLOC)
  add_subdirectory(mimalloc EXCLUDE_FROM_ALL)
endif()
add_subdirectory(nlopt)
add_subdirectory(python_libs/joblib2)
add_subdirectory(python_libs/joblib3)
add_subdirectory(python_libs/pyyaml2)
add_subdirectory(python_libs/pyyaml3)
add_subdirectory(ConsensusCore)
add_subdirectory(bamtools)
add_subdirectory(samtools)
add_subdirectory(cppformat)
add_subdirectory(ssw)
add_subdirectory(getopt_pp)
add_subdirectory(llvm)
add_subdirectory(bwa)
add_subdirectory(gqf)
add_subdirectory(edlib)
add_subdirectory(gfa1)
add_subdirectory(easel)
add_subdirectory(hmmer)
add_subdirectory(googletest)
add_subdirectory(teamcity_gtest)
