=== debian/changelog ===
spades (4.0.0+really3.15.5+dfsg-3) unstable; urgency=medium

  * Fix build with CMake 4
    Closes: #1113531
  * d/watch: version=5
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Oct 2025 15:20:24 +0200

spades (4.0.0+really3.15.5+dfsg-2) unstable; urgency=medium

  [ Pierre Gruet ]
  * Adding d/README.source to warn against future uploads of spades 4.x

  [ Nilesh Patra ]
  * Fixup FTBFS with gcc-15 (Closes: #1097913)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 20 Sep 2025 02:36:42 +0530

spades (4.0.0+really3.15.5+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.0.0+really3.15.5+dfsg, reverting to last version in
    testing
  * Reverting patches, d/control, and d/rules from version 3.15.5+dfsg-8
  * Raising Standards version to 4.7.2 (no change)

 -- Pierre Gruet <pgt@debian.org>  Sat, 12 Apr 2025 11:33:01 +0200

spades (4.0.0+dfsg1-2) unstable; urgency=low

  * Remove listed license files (ext/src/hmmer/libdivsufsort/COPYING) from copyright.

 -- Andreas Tille <tille@debian.org>  Sun, 16 Feb 2025 11:28:59 +0100

spades (3.15.5+dfsg-8) unstable; urgency=medium

  * Team upload
  * Fixing Python3 SyntaxWarning by using raw regex patterns (Closes: #1087093)

 -- Pierre Gruet <pgt@debian.org>  Sat, 14 Dec 2024 00:09:08 +0100
