=== debian/control ===
Source: spades
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
 Sascha Steinbiss <satta@debian.org>,
 Michael R. Crusoe <crusoe@debian.org>,
 Alexandre Mestiashvili <mestia@debian.org>,
 Étienne Mollier <emollier@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 clang-format,
 clang-tidy,
 clang-tools,
 cmake,
 python3-all,
 zlib1g-dev,
 libbz2-dev,
 libbam-dev,
 libbamtools-dev,
 libc++-dev,
 libhts-dev,
 libnlopt-dev,
 libnlopt-cxx-dev,
 libssw-dev,
 libzstd-dev,
 llvm-dev,
 python3-yaml,
 python3-joblib,
 asciidoctor,
 bwa,
 libbwa-dev,
 lynx,
Vcs-Browser: https://salsa.debian.org/med-team/spades
Vcs-Git: https://salsa.debian.org/med-team/spades.git
Homepage: https://github.com/ablab/spades
Rules-Requires-Root: no

Package: spades
Architecture: amd64
Depends:
 ${shlibs:Depends},
 ${python3:Depends},
 ${misc:Depends},
 python3,
 python3-joblib,
 python3-packaging,
 python3-yaml,
 bwa,
 bamtools,
 samtools,
Description: genome assembler for single-cell and isolates data sets
 The SPAdes – St. Petersburg genome assembler is intended for both
 standard isolates and single-cell MDA bacteria assemblies.  It works
 with Illumina or IonTorrent reads and is capable of providing hybrid
 assemblies using PacBio and Sanger reads. You can also provide
 additional contigs that will be used as long reads.
 .
 This package provides the following additional pipelines:
  * metaSPAdes – a pipeline for metagenomic data sets
  * plasmidSPAdes – a pipeline for extracting and assembling plasmids
    from WGS data sets
  * metaplasmidSPAdes – a pipeline for extracting and assembling
    plasmids from metagenomic data sets
  * rnaSPAdes – a de novo transcriptome assembler from RNA-Seq data
  * truSPAdes – a module for TruSeq barcode assembly
  * biosyntheticSPAdes – a module for biosynthetic gene cluster
    assembly with paired-end reads
 .
 SPAdes provides several stand-alone binaries with relatively simple
 command-line interface: k-mer counting (spades-kmercounter), assembly
 graph construction (spades-gbuilder) and long read to graph aligner
 (spades-gmapper).
