=== debian/tests/control ===
Tests: run-unit-test
Depends: @,bwa
Restrictions: allow-stderr
