=== debian/watch ===
Version: 5

Template: Github
Owner: ablab
Project: spades
Repack-Suffix: +dfsg
Dversion-Mangle: auto
